Plesk 12.5 Centos 7 update for Critical glibc stack-based buffer overflow (CVE-2015-7547)

Discussion in 'Plesk Automation Suggestions and Feedback' started by AmaZili Communication, Feb 19, 2016.

  1. AmaZili Communication

    AmaZili Communication Kilo Poster

    Messages:
    15
    Hi,

    With new glibc vulnerability discovered, it seems pretty critical to update Centos 7 running Plesk 12.5.
    Will there be an update from Plesk delivered quickly, and if not is it safe to use recommended Centos update using :

    yum update yum
    yum clean all
    yum update
    systemctl daemon-reexec

    Thanks for help;

    Philippe
     
    Last edited: Feb 19, 2016
  2. AmaZili Communication

    AmaZili Communication Kilo Poster

    Messages:
    15
    Tested on four live servers.

    This works perfectly.

    If you can, I feel it is better to reboot, but if you can't systemctl daemon-reexec does the work.

    If you are reluctant to update fully your system, you can just do

    yum update yum
    yum clean all
    yum update glibc
    systemctl daemon-reexec

    Hope this can help others.

    Philippe
     
    Last edited: Feb 21, 2016
  3. Alex.V

    Alex.V Kilo Poster

    Messages:
    36
    you need to ask in the plesk forum, this is for Odin Automation, not plesk
     

Share This Page